Updates payment information on a given web booking.
PUT
/v1/WebBooking/WebBookingsPaymentOnly/{id}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookingsPaymentOnly/example';const options = { method: 'PUT', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"guid":"example","chargeId":"example","chargeShouldPayAmount":1,"chargeShouldPayVat":1,"chargeShouldPayAmountVat":1,"chargeAuthorizedAmount":1,"chargePayedAmount":1,"chargeRefundedAmount":1,"payMethod":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookingsPaymentOnly/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "guid": "example", "chargeId": "example", "chargeShouldPayAmount": 1, "chargeShouldPayVat": 1, "chargeShouldPayAmountVat": 1, "chargeAuthorizedAmount": 1, "chargePayedAmount": 1, "chargeRefundedAmount": 1, "payMethod": "example" }'Updates payment information on a given web booking.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The GUID of the webbooking to update.
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”The payment information to update.
Media typeapplication/json
object
guid
string
chargeId
string
chargeShouldPayAmount
number format: decimal
chargeShouldPayVat
number format: decimal
chargeShouldPayAmountVat
number format: decimal
chargeAuthorizedAmount
number format: decimal
chargePayedAmount
number format: decimal
chargeRefundedAmount
number format: decimal
payMethod
string
Examplegenerated
{ "guid": "example", "chargeId": "example", "chargeShouldPayAmount": 1, "chargeShouldPayVat": 1, "chargeShouldPayAmountVat": 1, "chargeAuthorizedAmount": 1, "chargePayedAmount": 1, "chargeRefundedAmount": 1, "payMethod": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
guid
string
chargeId
string
chargeShouldPayAmount
number format: decimal
chargeShouldPayVat
number format: decimal
chargeShouldPayAmountVat
number format: decimal
chargeAuthorizedAmount
number format: decimal
chargePayedAmount
number format: decimal
chargeRefundedAmount
number format: decimal
payMethod
string
Example
{ "application/json": { "guid": "900A1595-354F-4F3C-BCA6-797EB90796BF", "chargeId": "7263523", "chargeShouldPayAmount": 120, "chargeShouldPayVat": 0.2, "chargeShouldPayAmountVat": 100, "chargeAuthorizedAmount": 120, "chargePayedAmount": 120, "chargeRefundedAmount": 0 }}